# 32/64
#
%define name	prboom
%define version 2.5.0
%define release %mkrel 3
 
Summary: 	Doom - classic 3D shoot-em-up game engine
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Games/Arcade
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}-game-server.sysconfig
Source2:	%{name}-game-server.init
Source3:	%{name}-64.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	%{_lib}SDL-devel %{_lib}SDL_mixer1.2-devel %{_lib}SDL_net-devel
BuildRequires:	%{_lib}smpeg0.4-devel sed %{_lib}mesaglu1-devel
Requires:	%{_lib}SDL1.2_0 %{_lib}SDL_mixer1.2 %{_lib}SDL_net1.2 TiMidity++
URL:		http://sourceforge.net/projects/prboom/	
Provides: 	doom-engine
Suggests:	doom-iwad
 
%description     
Doom is the classic 3D shoot-em-up game. It must have been one of the best
selling games ever; it totally outclassed any  3D world games that preceded
it, with amazing speed, flexibility, and outstanding gameplay. The specs to
the game were released, and thousands of extra levels were written by fans of
the game; even today new levels are written for Doom faster then any one person
could play them. 
 
%package gl
Summary:	OpenGL version
Group:		Games/Shooter
Requires:	%{name} = %{version}

%description gl
This package contains the PrBooM binary that runs accelerated through
OpenGL.

%package server
Summary:	PrBooM game server
Group:		Games/Shooter
Requires(pre):	rpm-helper
Requires:	%{name} = %{version}

%description server
This package contains the PrBooM server binary, that is the program 
that passes data between the different players in the game.

#--------------------------------------------------------------------
 
%prep
%setup -q

%build
%define common_conf_flags --disable-cpu-opt --disable-i386-asm
%configure %{common_conf_flags} --enable-gl
%make
cp src/prboom prboom-gl

make clean

%configure %{common_conf_flags} --disable-cpu-opt
%make


%install
%makeinstall_std
install -m755 prboom-gl %{buildroot}%{_gamesbindir}
rm -fr %{buildroot}%_datadir/doc/

install -d %{buildroot}%{_sysconfdir}/sysconfig \
	   %{buildroot}%{_initrddir}
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}-game-server
cp %{SOURCE2} %{buildroot}%{_initrddir}/%{name}-game-server
sed -i "s|/etc/sysconfig|%{_sysconfdir}/sysconfig| ; s|/usr/games|%{_gamesbindir}|" \
%{buildroot}%{_initrddir}/%{name}-game-server
chmod 755 %{buildroot}%{_initrddir}/%{name}-game-server

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %buildroot%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM
Comment=%{Summary}
Icon=%{name}
Exec=%{name}
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM Multiplayer
Comment=%{Summary}
Icon=%{name}
Exec=sh -c "%{name} -net localhost"
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL
Comment=%{Summary}
Icon=%{name}
Exec=%{name}-gl
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL Multiplayer
Comment=%{Summary}
Icon=%{name}
Exec=sh -c "%{name}-gl -net localhost"
EOF

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT
 
%post server
%_post_service %{name}-game-server

%preun server
%_preun_service %{name}-game-server
 
%post
/sbin/ldconfig
ln -fs /usr/games/%{name} /usr/games/doom

%postun
/sbin/ldconfig

%files
%doc AUTHORS NEWS README TODO
%doc doc/*.txt doc/README.*
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/doom
%{_gamesdatadir}/doom/%{name}.wad
%{_mandir}/man5/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-multiplayer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files gl
%{_gamesbindir}/%{name}-gl
%{_datadir}/applications/%{name}-gl.desktop
%{_datadir}/applications/%{name}-gl-multiplayer.desktop

%files server
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-game-server
%{_initrddir}/%{name}-game-server
%{_gamesbindir}/%{name}-game-server
%{_mandir}/man6/%{name}-game-server*


%changelog
* Sun Jul 17 2016 adrianomorselli <adrianomorselli> 2.5.0-3uplos2013
- rebuild

* Fri Sep 20 2013 pinoc <vogtpet at gmail.com> 2.5.0-3pclos2013
- corrected BR to compile on 64bit
- added new additional sources, BR and Require TiMidity to have sound working

* Sun Aug 09 2009 Texstar <texstar@gmail.com> 2.5.0-2pclos2009
- fix post script

* Sat Aug 08 2009 siamer <siamer@wp.pl> 2.5.0-1pclos2009
- new version 2.5.0

* Tue Feb 19 2008 didouph <DidouPh@gmail.com>
- build for pclos2007
